﻿/**Begin C:\PDM_UPGRADE\PDM1\SCC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCC_CONTRACT', 'T_SCC_CONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACT_BILLNO') CREATE INDEX IDX_CON_CONTRACT_BILLNO ON T_SCC_CONTRACT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACT_TIME_SUP') CREATE INDEX IDX_CON_CONTRACT_TIME_SUP ON T_SCC_CONTRACT ( FBIZTIME ,FORGID ,FBIZPARTNERID ,FBILLNO );


 EXEC P_ALTERPK 'PK_T_SCC_CONTRACT_S', 'T_SCC_CONTRACT_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACTS_SUP') CREATE INDEX IDX_CON_CONTRACTS_SUP ON T_SCC_CONTRACT_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_SCC_CONTRACT_L', 'T_SCC_CONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACTL_ID') CREATE INDEX IDX_CON_CONTRACTL_ID ON T_SCC_CONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCC_CONPAYENTRY', 'T_SCC_CONPAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONPAYENTRY') CREATE INDEX IDX_CON_CONPAYENTRY ON T_SCC_CONPAYENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONPAYENTRY_ENSRCID') CREATE INDEX IDX_CON_CONPAYENTRY_ENSRCID ON T_SCC_CONPAYENTRY ( FPAYENTRYSRCID );


 EXEC P_ALTERPK 'PK_T_SCC_CONTEMENTRY', 'T_SCC_CONTEMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTEMENTRY_ID') CREATE INDEX IDX_CON_CONTEMENTRY_ID ON T_SCC_CONTEMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTEMENTRY_ENSRCID') CREATE INDEX IDX_CON_CONTEMENTRY_ENSRCID ON T_SCC_CONTEMENTRY ( FTERMENTRYSRCID );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGE', 'T_SCC_CONCHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGE_BILLNO') CREATE INDEX IDX_CON_CONCHANGE_BILLNO ON T_SCC_CONCHANGE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGE_ORG') CREATE INDEX IDX_CON_CONCHANGE_ORG ON T_SCC_CONCHANGE ( FORGID ,FBILLNO ,FBIZTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGE_TIME_SUP') CREATE INDEX IDX_CON_CONCHANGE_TIME_SUP ON T_SCC_CONCHANGE ( FBIZTIME ,FBIZPARTNERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGE_CONNO') CREATE INDEX IDX_CON_CONCHANGE_CONNO ON T_SCC_CONCHANGE ( FCONBILLNO );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGE_L', 'T_SCC_CONCHANGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGEL_ID') CREATE INDEX IDX_CON_CONCHANGEL_ID ON T_SCC_CONCHANGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGE_S', 'T_SCC_CONCHANGE_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGES_SUP') CREATE INDEX IDX_CON_CONCHANGES_SUP ON T_SCC_CONCHANGE_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGPAYENTRY', 'T_SCC_CONCHANGPAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGPAYENTRY_ID') CREATE INDEX IDX_CON_CONCHANGPAYENTRY_ID ON T_SCC_CONCHANGPAYENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGPAYENTRY_ENID') CREATE INDEX IDX_CON_CONCHANGPAYENTRY_ENID ON T_SCC_CONCHANGPAYENTRY ( FPAYENTRYSRCID );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGTEMENTRY', 'T_SCC_CONCHANGTEMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGTEMENTRY_ID') CREATE INDEX IDX_CON_CONCHANGTEMENTRY_ID ON T_SCC_CONCHANGTEMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGTEMENTRY_ENID') CREATE INDEX IDX_CON_CONCHANGTEMENTRY_ENID ON T_SCC_CONCHANGTEMENTRY ( FTERMENTRYSRCID );


 EXEC P_ALTERPK 'PK_T_SCC_CONCHANGEENTITY', 'T_SCC_CONCHANGEENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGEENTITY_ID') CREATE INDEX IDX_CON_CONCHANGEENTITY_ID ON T_SCC_CONCHANGEENTITY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONCHANGEENTITY_MATID') CREATE INDEX IDX_CON_CONCHANGEENTITY_MATID ON T_SCC_CONCHANGEENTITY ( FMATERIALID );


 EXEC P_ALTERPK 'PK_T_SCC_CONTRACTENTITY', 'T_SCC_CONTRACTENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACTENTITY_ID') CREATE INDEX IDX_CON_CONTRACTENTITY_ID ON T_SCC_CONTRACTENTITY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTRACTENTITY_MATID') CREATE INDEX IDX_CON_CONTRACTENTITY_MATID ON T_SCC_CONTRACTENTITY ( FMATERIALID );


 EXEC P_ALTERPK 'PK_T_SCC_SUPPLEMENT_L', 'T_SCC_SUPPLEMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_SUPPLEMENTL_ID') CREATE INDEX IDX_CON_SUPPLEMENTL_ID ON T_SCC_SUPPLEMENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCC_SUPPLEMENT', 'T_SCC_SUPPLEMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_SUPPLEMENT_BILLNO') CREATE INDEX IDX_CON_SUPPLEMENT_BILLNO ON T_SCC_SUPPLEMENT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_SUPPLEMENT_TIME_SUP') CREATE INDEX IDX_CON_SUPPLEMENT_TIME_SUP ON T_SCC_SUPPLEMENT ( FBIZTIME ,FORGID ,FBIZPARTNERID ,FBILLNO );


 EXEC P_ALTERPK 'PK_T_SCC_CONTERMINATION', 'T_SCC_CONTERMINATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTERMINATION_BILLNO') CREATE INDEX IDX_CON_CONTERMINATION_BILLNO ON T_SCC_CONTERMINATION ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTERMINATION_ORG') CREATE INDEX IDX_CON_CONTERMINATION_ORG ON T_SCC_CONTERMINATION ( FORGID ,FBILLNO ,FBIZTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTERMINATION_TIME_S') CREATE INDEX IDX_CON_CONTERMINATION_TIME_S ON T_SCC_CONTERMINATION ( FBIZTIME ,FBIZPARTNERID );


 EXEC P_ALTERPK 'PK_T_SCC_CONTERMINATION_L', 'T_SCC_CONTERMINATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CON_CONTERMINATIONL_ID') CREATE INDEX IDX_CON_CONTERMINATIONL_ID ON T_SCC_CONTERMINATION_L ( FID ,FLOCALEID );



/**End C:\PDM_UPGRADE\PDM1\SCC_constraint.sql **/
