﻿/**Begin C:\PDM_UPGRADE\PDM1\SCC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTRACT') 
 CREATE TABLE T_SCC_CONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FBIZTIMEEND DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONFIRMSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FISENTRYSUMAMT CHAR(1) DEFAULT '0' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATETIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FBILLCRETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGEDATE DATETIME,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FTERMINATEDATE DATETIME,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '0' NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTRACT_S') 
 CREATE TABLE T_SCC_CONTRACT_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPARTYAST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONAST NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONEAST VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONBND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONEBND VARCHAR(255) DEFAULT ' ' NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTRACT_L') 
 CREATE TABLE T_SCC_CONTRACT_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONPAYENTRY') 
 CREATE TABLE T_SCC_CONPAYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPAYDATE DATETIME,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPAYENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTEMENTRY') 
 CREATE TABLE T_SCC_CONTEMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTERMGROUPID BIGINT DEFAULT 0 NOT NULL,
FTERMID BIGINT DEFAULT 0 NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTERMENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FTERMENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGE') 
 CREATE TABLE T_SCC_CONCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONFIRMSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHGREASON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCONBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSIGNTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FBIZTIMEEND DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FISENTRYSUMAMT CHAR(1) DEFAULT '0' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FREVIEWSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FFILINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FBILLCRETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGEDATE DATETIME,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FTERMINATEDATE DATETIME,
FISPAYRATE CHAR(1) DEFAULT '0' NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGETYPE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGE_L') 
 CREATE TABLE T_SCC_CONCHANGE_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGE_S') 
 CREATE TABLE T_SCC_CONCHANGE_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPARTYAST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONAST NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONEAST VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONBND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONEBND VARCHAR(255) DEFAULT ' ' NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGPAYENTRY') 
 CREATE TABLE T_SCC_CONCHANGPAYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPAYDATE DATETIME,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPAYENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGTEMENTRY') 
 CREATE TABLE T_SCC_CONCHANGTEMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTERMGROUPID BIGINT DEFAULT 0 NOT NULL,
FTERMID BIGINT DEFAULT 0 NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTERMENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FTERMENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONCHANGEENTITY') 
 CREATE TABLE T_SCC_CONCHANGEENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FROWNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERADDRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBILLENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTRACTENTITY') 
 CREATE TABLE T_SCC_CONTRACTENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FROWNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERADDRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBILLENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_SUPPLEMENT_L') 
 CREATE TABLE T_SCC_SUPPLEMENT_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_SUPPLEMENT') 
 CREATE TABLE T_SCC_SUPPLEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FBIZTIMEEND DATETIME,
FPARTYAST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FCONTACTPERSON1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FCONFIRMSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FCONVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FPHONEAST VARCHAR(255) DEFAULT ' ' NOT NULL,
FPHONEBND VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONBND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FREVIEWSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FFILINGSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTERMINATEDATE DATETIME,
FBILLCRETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDETAILS_TAG NCLOB,
FDETAILS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTERMINATION') 
 CREATE TABLE T_SCC_CONTERMINATION (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FBIZTIMEEND DATETIME,
FPARTYAST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FCONTACTPERSONAST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FCONFIRMSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSIGNSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FCONVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FPHONEAST VARCHAR(255) DEFAULT ' ' NOT NULL,
FPHONEBND VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSONBND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FREVIEWSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FFILINGSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTERMINATEDATE DATETIME,
FBILLCRETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDETAILS_TAG NCLOB,
FDETAILS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCC_CONTERMINATION_L') 
 CREATE TABLE T_SCC_CONTERMINATION_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SCC_table.sql **/
